[ubuntu/maverick] sssd 1.2.1-1 (Accepted)

Jean-Louis Dupond angelabad at gmail.com
Wed Jul 7 23:30:27 BST 2010


sssd (1.2.1-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Move calls to pam-auth-update from the package scripts in sssd to
    libpam-sss, and correct prerm call to remove the correct pam config.
    Add versioned dependency on libpam-runtime to make sure
    pam-auth-update is available.
  * Add code to the postinst and postrm of libnss-sss to update
    passwd, group and shadow entries in /etc/nsswitch.conf.
  * Make sure init.d/sssd start after $named, to ensure it can look up
    in DNS also when the DNS server is on the local machine.

  [ Morten Werner Forsbring ]
  * New upstream release.

sssd (1.2.0-1) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * New upstream release.
    - Add libsemanage1-dev as build dependency, as it is now required.
    - Drop python-build-with-deb-layout.dpatch, now handled upstream.
    - Adjust provide-default-working-sssd-config-file.dpatch to
      work with new package source layout and config file content.
    - Adjust build rules to cope with server/ changing to src/ in the
      source tarball.
    - Add --enable-krb5-locator-plugin to keep building the plugin.
  * Change the pam-auth-update configuration to make the session
    script optional instead of sufficient, to make sure the other
    session modules are executed too.
  * Change initial pam password entry from requisite to sufficient,
    to make sure local users can have their password set even if
    sssd is enabled.
  * Rename pam-configs/sssd to pam-configs/sss, to have a name that
    is consistent with the package name libpam-sss.
  * Add VCS links to the GIT repository.
  * Move configuration API documentation from /etc/sssd/ to
    /usr/share/doc/sssd/.  It is not configuration and do not belong
    in /etc/.
  * Drop autoconf, automake, libtool, m4 and autotools-dev from
    build-depends.  There is no need to regenerate the build files any
    more.

  [ Morten Werner Forsbring ]
  * Add dnsutils as build-dependency.

Date: Thu, 24 Jun 2010 14:16:30 +0200
Changed-By: Jean-Louis Dupond <angelabad at gmail.com>
Maintainer: Petter Reinholdtsen <pere at debian.org>
Signed-By: Stefano Rivera <launchpad at rivera.za.net>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/sssd/1.2.1-1
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 24 Jun 2010 14:16:30 +0200
Source: sssd
Binary: sssd libnss-sss libpam-sss python-sss
Architecture: source
Version: 1.2.1-1
Distribution: maverick
Urgency: low
Maintainer: Petter Reinholdtsen <pere at debian.org>
Changed-By: Jean-Louis Dupond <angelabad at gmail.com>
Description: 
 libnss-sss - Nss library for the System Security Services Daemon
 libpam-sss - Pam module for the System Security Services Daemon
 python-sss - Pam module for the System Security Services Daemon
 sssd       - System Security Services Daemon
Changes: 
 sssd (1.2.1-1) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Move calls to pam-auth-update from the package scripts in sssd to
     libpam-sss, and correct prerm call to remove the correct pam config.
     Add versioned dependency on libpam-runtime to make sure
     pam-auth-update is available.
   * Add code to the postinst and postrm of libnss-sss to update
     passwd, group and shadow entries in /etc/nsswitch.conf.
   * Make sure init.d/sssd start after $named, to ensure it can look up
     in DNS also when the DNS server is on the local machine.
 .
   [ Morten Werner Forsbring ]
   * New upstream release.
 .
 sssd (1.2.0-1) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * New upstream release.
     - Add libsemanage1-dev as build dependency, as it is now required.
     - Drop python-build-with-deb-layout.dpatch, now handled upstream.
     - Adjust provide-default-working-sssd-config-file.dpatch to
       work with new package source layout and config file content.
     - Adjust build rules to cope with server/ changing to src/ in the
       source tarball.
     - Add --enable-krb5-locator-plugin to keep building the plugin.
   * Change the pam-auth-update configuration to make the session
     script optional instead of sufficient, to make sure the other
     session modules are executed too.
   * Change initial pam password entry from requisite to sufficient,
     to make sure local users can have their password set even if
     sssd is enabled.
   * Rename pam-configs/sssd to pam-configs/sss, to have a name that
     is consistent with the package name libpam-sss.
   * Add VCS links to the GIT repository.
   * Move configuration API documentation from /etc/sssd/ to
     /usr/share/doc/sssd/.  It is not configuration and do not belong
     in /etc/.
   * Drop autoconf, automake, libtool, m4 and autotools-dev from
     build-depends.  There is no need to regenerate the build files any
     more.
 .
   [ Morten Werner Forsbring ]
   * Add dnsutils as build-dependency.
Checksums-Sha1: 
 51980de652e9bb849b3297c61b073288de2d0556 1584 sssd_1.2.1-1.dsc
 b92142dd5460c8e8dfdbf879ffb758a361c6f14c 2952473 sssd_1.2.1.orig.tar.gz
 ae866ef978fb7e67f953c31fa18c895ade979774 10885 sssd_1.2.1-1.diff.gz
Checksums-Sha256: 
 bb086680dfea828dce5fe0cbb4e90a35c8d271beab9fd35a51d9bfa7eb7bc194 1584 sssd_1.2.1-1.dsc
 554ae4c0d9045d7371fc8d95fefbd7d1299fc97b3d834630b0302629acec0bcb 2952473 sssd_1.2.1.orig.tar.gz
 01755d6c8d2e0d71c986b5a4c11d4fac01857674bca3dd10f0229870cef90d57 10885 sssd_1.2.1-1.diff.gz
Files: 
 a5f2610a2c36562a6591a9ea233dd782 1584 utils extra sssd_1.2.1-1.dsc
 8aff9a8ba688cf9ef7e14dcb3917ee9b 2952473 utils extra sssd_1.2.1.orig.tar.gz
 578815eac47479b80ed9f976fb7a27cf 10885 utils extra sssd_1.2.1-1.diff.gz
Origin: debian/unstable
Launchpad-Bugs-Fixed: 602476

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw0/JUACgkQe5Wpfsv7GPeL3QCfTy4L3YdTmgEl6CXyyGMhejT/
5qMAn1GItgcgFnYt1zt+8//oIY5MFqPK
=m4iJ
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list